<?php

namespace kernel\helpers;

class Html
{

    public static function img(string $src, array $params = [])
    {
        $paramsStr = self::createParams($params);
        return "<img src='$src' $paramsStr>";
    }

    public static function h(string|int $type = 1, string $title = '', array $params = [])
    {
        $paramsStr = self::createParams($params);
        return "<h$type $paramsStr>$title</h$type>";
    }

    /**
     * @param array $data
     * @return string
     */
    public static function createParams(array $data = []): string
    {
        $paramsString = "";
        foreach($data as $key => $param){
            if(is_string($param)){
                $paramsString .= $key . "='" . $param . "'";
            }
        }

        return $paramsString;
    }

}